Main menu

Navigation

Error while running spcam2_0-cesm1_1_1

1 post / 0 new
tanmoy6106@...
Error while running spcam2_0-cesm1_1_1

I am trying to run SPCAM version spcam2_0-cesm1_1_1 on a Cray-machine, but  getting some run-time error given below. Any help would be appreciated.

I am running with following options,

set atm_hgrid    = 1.9x2.5   #

set atm_dyn      = fv        # [fv, sld]     ! eul is not supported by SPCAM

 set nlev = 30     # number of grid level of GCM

 set  pcols = 8     # number of columns in chunks (just keep it 8)

# # setup Super-parameterization (if want standard model set nocrm)

 set crm       # setting it makes super-parameterized code
 set YES3D=0     # 0 if 2D crm, 1 if 3D crm/superparameterization

 set crm_nx=32    # number of columns in x

 set crm_ny=1     # number of columns in y


@ crm_nz = $nlev - 2    # number of crm levels should be at list 2 less than nlev

 set crm_dx=4000. # crm horizontal grid resolution in meters
 set crm_dt=20.   # crm timestep in secs

 set crmmicro=m2005    # microphysics (sam1mom-standard,m2005-double moment)


cat > $camroot/models/atm/cam/src/physics/crm/crmdims.h <<EOF
!  CRM domain grid-size: - needed for compatibility with old F77 version of SP
          integer YES3D
          integer crm_nx, crm_ny, crm_nz
          real crm_dx, crm_dy, crm_dt
          parameter (YES3D = $YES3D)   ! 1 - 3D CRM, 0 - 2D CRM
          parameter (crm_nx = $crm_nx, crm_ny = $crm_ny, crm_nz = $crm_nz)
          parameter (crm_dx = $crm_dx, crm_dy = crm_dx)
          parameter (crm_dt = $crm_dt)
EOF

set confstr = "-spmd -nosmp -v -dyn $atm_dyn -nlev=$nlev -pcols=$pcols -hgrid=$atm_hgrid"
    if ( $?crm ) then
      set confstr =  "$confstr -use_SPCAM -SPCAM_microp_scheme=$crmmicro -crm_nx=$crm_nx -crm_ny=$crm_ny -crm_nz=$crm_nz -crm_dx=$crm_dx -crm_dt=$crm_dt"
      echo $confstr
    endif

cd $rundir                      || echo "cd $rundir failed" && exit 1
$cfgdir/build-namelist -csmdata $CSMDATA -s -config $blddir/config_cache.xml -case $case -runtype $runtype \
 -namelist "&camexp stop_option='ndays' stop_n=$stop_n  nhtfrq=0,-24 dtime=600 fincl2 = 'U', 'V', 'T', 'Q','PRECT' mfilt=1,1 npr_yz=32,1,1,32 \
  phys_loadbalance=2 /" || echo "build-namelist failed" && exit 1
 

I have also attached atm_in file


******************************************************************************************************
                          This is the error I am getting
******************************************************************************************************

 H_DEFINE: Successfully opened netcdf file
 Warning: no dimvar found for registered mdim named: crm_nx
 Warning: no dimvar found for registered mdim named: crm_ny
 Warning: no dimvar found for registered mdim named: crm_nz
 Warning: no dimvar found for registered mdim named: pverp
 Warning: no dimvar found for registered mdim named: pver
 Opened file spcamrun.cam.r.0000-01-03-00000.nc to write     1638400
*** Error in `*** Error in `/home/PANL/mpartha/work/spcamrun/bld/cam*** Error in `/home/PANL/mpartha/work/spcamrun/bld/cam': malloc(): memory corruption: 0x000000000cd58fb0 ***
*** Error in `/home/PANL/mpartha/work/spcamrun/bld/cam': malloc(): memory corruption: 0x000000000d504c10 ***
*** Error in `/home/PANL/mpartha/work/spcamrun/bld/cam': malloc(): memory corruption: 0x000000000d1d1830 ***
*** Error in `/home/PANL/mpartha/work/spcamrun/bld/cam': malloc(): memory corruption: 0x000000000ce35d70 ***
*** Error in `/home/PANL/mpartha/work/spcamrun/bld/cam': malloc(): memory corruption: 0x000000000d1732d0 ***
*** Error in `/home/PANL/mpartha/work/spcamrun/bld/cam': malloc(): memory corruption: 0x000000000d15ca70 ***
*** Error in `/home/PANL/mpartha/work/spcamrun/bld/cam': malloc(): memory corruption: 0x000000000cd4cfb0 ***

Attachment: 

Who's new

  • alessandro.delo...
  • zweina@...
  • yuan.liang@...
  • lian.xue@...
  • 353482168@...